## javax.servlet
Class ServletWriter

    java.lang.Object
      java.io.Writer
          javax.servlet.ServletWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable, AsyncIOOutputSink

    public abstract class ServletWriter

extends java.io.Writer
implements AsyncIOOutputSink

Since:
  Servlet 3.1

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`ServletWriter()`

Method Summary

Methods inherited from class java.io.Writer
`append, append, append, close, flush, write, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.AsyncIOOutputSink
`canWrite`

Constructor Detail

### ServletWriter

    public ServletWriter()

Copyright © 2012 GlassFish Community. All Rights Reserved.